textures/school/steel
{

	surfaceparm slick
	{
		map textures/school/steel.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	
	{
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}	
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/school/flooring
{
	
	{
		map textures/school/flooring.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	
	{
		map textures/school/reflectfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}	
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}
}
textures/school/floortrim
{
	
	{
		map textures/school/floortrim.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	
	{
		map textures/school/reflectfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}	
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}
}
textures/school/floorblock
{
	
	{
		map textures/school/floorblock.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	
	{
		map textures/school/reflectfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}	
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}
}
textures/school/stair2
{
	
	{
		map textures/school/stair2.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	
	{
		map textures/school/reflectfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}	
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	}
}
textures/school/blueflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/school/blueflare.tga
            blendFunc GL_ONE GL_ONE
          }
}


textures/school/redflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/school/redflare.tga
            blendFunc GL_ONE GL_ONE
          }
}



textures/school/corona
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
          {
            clampmap textures/school/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/school/ceilingblocklight
{
	qer_editorimage textures/school/ceilingblocklight.tga
	q3map_surfacelight 1500
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/school/ceilingblocklight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/school/ceilingblocklight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/school/widelight
{
	qer_editorimage textures/school/widelight.tga
	q3map_surfacelight 1500
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/school/widelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/school/widelight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/school/thinlight2
{
	qer_editorimage textures/school/thinlight2.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/school/thinlight2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/school/thinlight2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/school/floodlight
{
	qer_editorimage textures/school/floodlight.tga
	q3map_surfacelight 5000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/school/floodlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/school/floodlight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/school/exit
{
	qer_editorimage textures/school/exit.tga
	q3map_surfacelight 500
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/school/exit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/school/exit.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/school/rails
{
	qer_editorimage textures/school/rails.tga
	cull none
	
	{
		map textures/school/rails.tga
		blendFunc blend
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/school/overcast
{
	qer_editorimage textures/school/overcast.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 1 1 1 50 290 50
	q3map_surfacelight 50
	skyparms - 512 -

	{
		map textures/school/overcast.jpg
		tcMod scroll 0.005 0.002
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/school/overcast.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0 0.003
		tcMod scale 1 1
	}
}
